
<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      
      <link rel="shortcut icon" href="../../img/favicon.ico">
      <meta name="generator" content="mkdocs-1.2.dev1, mkdocs-material-6.1.6">
    
    
      
        <title>Windows - Documentación LuaBot</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/main.19753c6b.min.css">
      
        
        <link rel="stylesheet" href="../../assets/stylesheets/palette.196e0c26.min.css">
        
          
          
          <meta name="theme-color" content="#000000">
        
      
    
    
    
      
        
        <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&display=fallback">
        <style>body,input{font-family:"Roboto",-apple-system,BlinkMacSystemFont,Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Roboto Mono",SFMono-Regular,Consolas,Menlo,monospace}</style>
      
    
    
    
      <link rel="stylesheet" href="../../extra.css">
    
    
      
    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="slate" data-md-color-primary="black" data-md-color-accent="green">
      
  
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#instalacion-de-firmware-desde-windows" class="md-skip">
          Skip to content
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid" aria-label="Header">
    <a href="../.." title="Documentación LuaBot" class="md-header-nav__button md-logo" aria-label="Documentación LuaBot">
      
  <img src="../../img/catalejo-logo.png" alt="logo">

    </a>
    <label class="md-header-nav__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"/></svg>
    </label>
    <div class="md-header-nav__title" data-md-component="header-title">
      
        <div class="md-header-nav__ellipsis">
          <span class="md-header-nav__topic md-ellipsis">
            Documentación LuaBot
          </span>
          <span class="md-header-nav__topic md-ellipsis">
            
              Windows
            
          </span>
        </div>
      
    </div>
    
      <label class="md-header-nav__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0116 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 019.5 16 6.5 6.5 0 013 9.5 6.5 6.5 0 019.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
      </label>
      
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Search" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" data-md-state="active" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0116 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 019.5 16 6.5 6.5 0 013 9.5 6.5 6.5 0 019.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
      </label>
      <button type="reset" class="md-search__icon md-icon" aria-label="Clear" data-md-component="search-reset" tabindex="-1">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"/></svg>
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
  </nav>
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

<nav class="md-nav md-nav--primary" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="../.." title="Documentación LuaBot" class="md-nav__button md-logo" aria-label="Documentación LuaBot">
      
  <img src="../../img/catalejo-logo.png" alt="logo">

    </a>
    Documentación LuaBot
  </label>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href="../.." class="md-nav__link">
      Home
    </a>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="nav-2" type="checkbox" id="nav-2" >
    <label class="md-nav__link" for="nav-2">
      Introducción
      <span class="md-nav__icon md-icon"></span>
    </label>
    <nav class="md-nav" aria-label="Introducción" data-md-level="1">
      <label class="md-nav__title" for="nav-2">
        <span class="md-nav__icon md-icon"></span>
        Introducción
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../intro/blink/" class="md-nav__link">
      Hola Mundo
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../nodemcu_v1/" class="md-nav__link">
      Tarjeta
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../intro/energize-card/" class="md-nav__link">
      Energizar-Tarjeta
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../intro/led_http/" class="md-nav__link">
      LED-HTTP
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../intro/appinventor/" class="md-nav__link">
      Aplicación-appinventor
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../intro/default/" class="md-nav__link">
      Reinicio-general
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="nav-3" type="checkbox" id="nav-3" checked>
    <label class="md-nav__link" for="nav-3">
      Instalación
      <span class="md-nav__icon md-icon"></span>
    </label>
    <nav class="md-nav" aria-label="Instalación" data-md-level="1">
      <label class="md-nav__title" for="nav-3">
        <span class="md-nav__icon md-icon"></span>
        Instalación
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="nav-3-1" type="checkbox" id="nav-3-1" checked>
    <label class="md-nav__link" for="nav-3-1">
      Firmware
      <span class="md-nav__icon md-icon"></span>
    </label>
    <nav class="md-nav" aria-label="Firmware" data-md-level="2">
      <label class="md-nav__title" for="nav-3-1">
        <span class="md-nav__icon md-icon"></span>
        Firmware
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
    
      
    
    
      <label class="md-nav__link md-nav__link--active" for="__toc">
        Windows
        <span class="md-nav__icon md-icon"></span>
      </label>
    
    <a href="./" class="md-nav__link md-nav__link--active">
      Windows
    </a>
    
      
<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#1-instalacion-de-los-drivers-en-windows" class="md-nav__link">
    1. Instalación de los drivers en Windows
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#2-instalacion-de-nodemcu-pyflasher" class="md-nav__link">
    2. Instalación de nodemcu-pyflasher
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#3-subir-el-firmware-a-la-tarjeta" class="md-nav__link">
    3. Subir el firmware a la tarjeta
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#4-probar-el-funcionamiento" class="md-nav__link">
    4. Probar el funcionamiento
  </a>
  
</li>
      
    </ul>
  
</nav>
    
  </li>

        
      </ul>
    </nav>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../android/" class="md-nav__link">
      Apk-Android
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="nav-4" type="checkbox" id="nav-4" >
    <label class="md-nav__link" for="nav-4">
      Sensores
      <span class="md-nav__icon md-icon"></span>
    </label>
    <nav class="md-nav" aria-label="Sensores" data-md-level="1">
      <label class="md-nav__title" for="nav-4">
        <span class="md-nav__icon md-icon"></span>
        Sensores
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/pot/" class="md-nav__link">
      Potenciómetro
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/dht11/" class="md-nav__link">
      DHT11
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/dht22/" class="md-nav__link">
      DHT22
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/soil_moisture/" class="md-nav__link">
      H-Suelo
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/ds18b20/" class="md-nav__link">
      DS18B20
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/rainsensor/" class="md-nav__link">
      Lluvia
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../sensores/ultrasonic/" class="md-nav__link">
      Ultrasonido
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="nav-5" type="checkbox" id="nav-5" >
    <label class="md-nav__link" for="nav-5">
      Actuadores
      <span class="md-nav__icon md-icon"></span>
    </label>
    <nav class="md-nav" aria-label="Actuadores" data-md-level="1">
      <label class="md-nav__title" for="nav-5">
        <span class="md-nav__icon md-icon"></span>
        Actuadores
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/speaker/" class="md-nav__link">
      Parlante
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/servomotor/" class="md-nav__link">
      Servomotor
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/puenteh/" class="md-nav__link">
      Puente-H
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/ssd1306/" class="md-nav__link">
      Display-Oled
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../actuadores/ws2812_rgb/" class="md-nav__link">
      LEDs-RGB-OW
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#1-instalacion-de-los-drivers-en-windows" class="md-nav__link">
    1. Instalación de los drivers en Windows
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#2-instalacion-de-nodemcu-pyflasher" class="md-nav__link">
    2. Instalación de nodemcu-pyflasher
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#3-subir-el-firmware-a-la-tarjeta" class="md-nav__link">
    3. Subir el firmware a la tarjeta
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#4-probar-el-funcionamiento" class="md-nav__link">
    4. Probar el funcionamiento
  </a>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                
                <h1 id="instalacion-de-firmware-desde-windows">Instalación de firmware desde Windows</h1>
<p>Necesitaras lo siguiente:</p>
<table>
<thead>
<tr>
<th align="center">Cantidad</th>
<th align="center">Nombre</th>
<th align="center">Imagen</th>
</tr>
</thead>
<tbody>
<tr>
<td align="center">1</td>
<td align="center">Cable USB micro B</td>
<td align="center"><img alt="cable USB" src="../../img/accesories/usb-micro-b.jpg" style="width:30%;" /></td>
</tr>
<tr>
<td align="center">1</td>
<td align="center">Tarjeta nodemcu versión 3</td>
<td align="center"><img alt="Imagen nodemcu v3" src="../../img/esp8266/nodemcu.png" style="width:30%; background:white;" /></td>
</tr>
<tr>
<td align="center">1</td>
<td align="center">Computador con Windows</td>
<td align="center"><img alt="windows 10" src="../../img/otros/Windows-10-Cortana.jpg" style="width:30%;" /></td>
</tr>
</tbody>
</table>
<p>Para instalar el firmware en la tarjeta de desarrollo nodemcu versión 3 tendrás que realizar
los siguientes pasos:</p>
<ol>
<li><strong>Instalar los driver</strong> de la tarjeta para que el sistema operativo Windows la reconozca.</li>
<li><strong>Instalar</strong> en tu sistema operativo un programa llamado <strong>nodemcu-pyflasher</strong>
el cual es capaz de subir el firmware a la tarjeta de desarrollo nodemcu.</li>
<li><strong>Subir el firmware</strong> a la placa de desarrollo nodemcu.</li>
<li><strong>Probar el funcionamiento</strong> del firmware cargado en la tarjeta de desarrollo nodemcu.</li>
</ol>
<div class="admonition info">
<p class="admonition-title">Si quieres instalar el firmware en muchas tarjetas, los pasos <strong>1</strong> y <strong>2</strong> solo se requieren hacer una <strong>única</strong> vez.</p>
</div>
<p>A continuación explicamos cada uno de los pasos a realizar:</p>
<h2 id="1-instalacion-de-los-drivers-en-windows">1. Instalación de los drivers en Windows</h2>
<p>Necesitaremos el driver de la familia CH34x; para obtenerlo deberás ir a esta página:</p>
<p><a href="http://www.wch.cn/download/CH341SER_ZIP.html">página de descarga oficial</a></p>
<p>Allí dar clic en el botón de descarga como te mostramos en la siguiente imagen:</p>
<p><img alt="descargar driver" src="../../img/install/descargar-driver.png" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<p>Descargado el <strong>paquete.zip</strong> deberás descomprimirlo y ejecutar el archivo <strong>SETUP.EXE</strong> siguiendo los pasos:</p>
<p><img alt="ejecutando el archivo setup.exe" src="../../img/install/install-driver.png" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<p>A continuación conecta la tarjeta nodemcu al computador a través del cable USB y espera que sea reconocida
por el sistema operativo, podrás ver esta operación en la barra de aplicaciones a través de una notificación
que te indicará algo similar a lo que te compartimos en la siguiente imagen:</p>
<p><img alt="Notificación de instalación del driver en windows" src="../../img/install/instalar_CH340_windows_4.png" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<div class="admonition info">
<p class="admonition-title">Guarda en tus notas el nombre del puerto por el cual se está comunicando, en la imagen anterior se trata del <strong>COM14</strong> para ti puede que sea otro número distinto al 14</p>
</div>
<div class="admonition note">
<p class="admonition-title">También puedes verificar el anterior proceso de instalación desde el administrador de dispositivos</p>
</div>
<p>Si hemos llegado hasta aquí cumpliendo los anteriores pasos hemos instalado con éxito el driver, ya puedes ir al paso número 2.</p>
<div class="admonition warning">
<p class="admonition-title">Si llegados a este punto no es reconocida la tajeta, intenta reiniciando el computador y reconectando de nuevo la tarjeta al puerto USB</p>
</div>
<h2 id="2-instalacion-de-nodemcu-pyflasher">2. Instalación de nodemcu-pyflasher</h2>
<p><strong>Nodemcu-pyflasher</strong> es una aplicación que no requiere instalación, simplemente descargamos y ejecutamos.</p>
<p>Para descargar la aplicación para Windows deberás ir al siguiente link:</p>
<p><a href="https://github.com/marcelstoer/nodemcu-pyflasher/releases/download/v5.0.0/NodeMCU-PyFlasher.exe">NodeMCU-PyFlasher.exe</a></p>
<p>Al ejecutar el <strong>NodeMCU-PyFlasher.exe</strong> nos cargará el programa de manera similar a la siguiente imagen:</p>
<p><img alt="interfaz de pyflasher" src="../../img/install/pyflasher-start-enh.jpg" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<p>Llegados a este punto has terminado de instalar <strong>NodeMCU-PyFlasher</strong> correctamente, a demás, estos pasos
no requieren ser repetidos para programar muchas tarjetas NodeMCU, ya puedes pasar al paso 3.</p>
<div class="admonition warning">
<p class="admonition-title">Si tienes problemas para instalar NodeMCU-PyFlasher considera lo siguiente:<p>Pueda que tu sistema operativo tenga problemas con la versión de la aplicación a
intalar, ya sea por librerías o porque la arquitectura del computador es por ejemplo
de 32 bits; en la siguiente página encontrarás varias versiones de la aplicación que
podrás pobrar y quedarte con una que sí te funcione:
<a href="https://github.com/marcelstoer/nodemcu-pyflasher/releases">Pagina de otras versiones de NodeMCU-PyFlasher</a></p>
</p>
</div>
<h2 id="3-subir-el-firmware-a-la-tarjeta">3. Subir el firmware a la tarjeta</h2>
<p>Para obtener el firmware a instalar en la tarjeta nodemcu visita el siguiente link y dale clic en el botón de descarga</p>
<p><a href="https://sourceforge.net/projects/catalejo-editor-luabot/files/catalejo-firmware.bin/download">Link de descarga del firmware catalejo-firmware.bin</a></p>
<div class="admonition info">
<p class="admonition-title">Ten presente el lugar donde guardaste el archivo que acabas de descargar</p>
</div>
<p>Después de descargar el firmware, conecta la tarjeta nodemcu con el cable USB al computador y abre la aplicación <strong>NodeMCU-PyFlasher</strong>.</p>
<p>A continuación deberás llenar los campos que muestra la interfaz de la aplicación NodeMCU-PyFlasher:</p>
<ul>
<li><strong>Serial Port</strong>: COM (Con el que se reconozca la tarjeta a través del puerto serial)</li>
<li><strong>Firmware</strong>: el catalejo-firmware.bin en la dirección donde lo has guardado</li>
<li><strong>Baud rate</strong>: 230400 o 115200</li>
<li><strong>Erase flash</strong>:  Yes</li>
</ul>
<p>Te mostramos un ejemplo a seguir donde deberás poner el nombre del COM que tú anotaste anteriormente:</p>
<p><img alt="configuración de interfaz" src="../../img/install/configurar-interfaz-np.png" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<p>Finalmente deberás darle clic en el botón llamado <strong>Flash NodeMCU</strong> y esperar que termine el proceso, este proceso durará unas decenas de segundos:</p>
<p><img alt="Flasheando nodemcu" src="../../img/install/flasheando-nodemcu.png" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<div class="admonition info">
<p class="admonition-title">Si el mensaje al final es Firmware successfully flashed significa que has instalado el firmware en la tarjeta nodemcu correctamente, ya puedes seguir el paso final</p>
</div>
<div class="admonition warning">
<p class="admonition-title">Si tienes problemas visita el siguiente foro y revisa las repuestas de los problemas y/o pon el tuyo, te ayudaremos en lo que nos sea posible<p><a href="https://catalejo.flarum.cloud/t/subir-catalejo-firmware-bin">Link del foro https://catalejo.flarum.cloud/t/subir-catalejo-firmware-bin</a></p>
</p>
</div>
<h2 id="4-probar-el-funcionamiento">4. Probar el funcionamiento</h2>
<p>De la siguiente imagen identifica en la tarjeta el botón de reinicio <strong>RST</strong> y el <strong>LED pin 4</strong>:</p>
<p><img alt="Tarjeta nodemcu identificando el boton de reset" src="../../img/esp8266/nodemcu-v3.png" style="width:100%; margin-left: auto; margin-right: auto; display: block" /></p>
<p>Teniendo la tarjeta nodemcu conectada al computador, deberás oprimir el botón de reinicio. A continuación verás como el LED empezará a destellar varias veces cada cuarto de segundo;
cuenta al menos 4 destellos antes de apagarse, si eso sucede, quiere decir que has subido el firmware correctamente.</p>
<p>Atentamente,</p>
<p>Equipo de desarrollo</p>
                
              
              
                


              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid" aria-label="Footer">
        
          <a href="../../intro/default/" class="md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-footer-nav__button md-icon">
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
            </div>
            <div class="md-footer-nav__title">
              <div class="md-ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                Reinicio-general
              </div>
            </div>
          </a>
        
        
          <a href="../android/" class="md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-footer-nav__title">
              <div class="md-ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                Apk-Android
              </div>
            </div>
            <div class="md-footer-nav__button md-icon">
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"/></svg>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
        Made with
        <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
          Material for MkDocs
        </a>
      </div>
      
  <div class="md-footer-social">
    
      
      
        
        
      
      <a href="https://catalejoplus.com" target="_blank" rel="noopener" title="catalejoplus.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M512 256c0 141.2-114.7 256-256 256C114.8 512 0 397.3 0 256S114.7 0 256 0s256 114.7 256 256zm-32 0c0-123.2-100.3-224-224-224C132.5 32 32 132.5 32 256s100.5 224 224 224 224-100.5 224-224zM160.9 124.6l86.9 37.1-37.1 86.9-86.9-37.1 37.1-86.9zm110 169.1l46.6 94h-14.6l-50-100-48.9 100h-14l51.1-106.9-22.3-9.4 6-14 68.6 29.1-6 14.3-16.5-7.1zm-11.8-116.3l68.6 29.4-29.4 68.3L230 246l29.1-68.6zm80.3 42.9l54.6 23.1-23.4 54.3-54.3-23.1 23.1-54.3z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://twitter.com/catalejoplus" target="_blank" rel="noopener" title="twitter.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://discord.gg/4GxYxyy" target="_blank" rel="noopener" title="discord.gg" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M297.216 243.2c0 15.616-11.52 28.416-26.112 28.416-14.336 0-26.112-12.8-26.112-28.416s11.52-28.416 26.112-28.416c14.592 0 26.112 12.8 26.112 28.416zm-119.552-28.416c-14.592 0-26.112 12.8-26.112 28.416s11.776 28.416 26.112 28.416c14.592 0 26.112-12.8 26.112-28.416.256-15.616-11.52-28.416-26.112-28.416zM448 52.736V512c-64.494-56.994-43.868-38.128-118.784-107.776l13.568 47.36H52.48C23.552 451.584 0 428.032 0 398.848V52.736C0 23.552 23.552 0 52.48 0h343.04C424.448 0 448 23.552 448 52.736zm-72.96 242.688c0-82.432-36.864-149.248-36.864-149.248-36.864-27.648-71.936-26.88-71.936-26.88l-3.584 4.096c43.52 13.312 63.744 32.512 63.744 32.512-60.811-33.329-132.244-33.335-191.232-7.424-9.472 4.352-15.104 7.424-15.104 7.424s21.248-20.224 67.328-33.536l-2.56-3.072s-35.072-.768-71.936 26.88c0 0-36.864 66.816-36.864 149.248 0 0 21.504 37.12 78.08 38.912 0 0 9.472-11.52 17.152-21.248-32.512-9.728-44.8-30.208-44.8-30.208 3.766 2.636 9.976 6.053 10.496 6.4 43.21 24.198 104.588 32.126 159.744 8.96 8.96-3.328 18.944-8.192 29.44-15.104 0 0-12.8 20.992-46.336 30.464 7.68 9.728 16.896 20.736 16.896 20.736 56.576-1.792 78.336-38.912 78.336-38.912z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://www.youtube.com/channel/UCTTKyDHsyzkSPJYS6cCtFZQ/featured" target="_blank" rel="noopener" title="www.youtube.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"/></svg>
      </a>
    
      
      
      <a href="https://catalejo.flarum.cloud/t/catalejo-luabot-nodemcu" target="_blank" rel="noopener" title="flarum" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 23a1 1 0 01-1-1v-3H7a2 2 0 01-2-2V7a2 2 0 012-2h14a2 2 0 012 2v10a2 2 0 01-2 2h-4.1l-3.7 3.71c-.2.18-.44.29-.7.29H12m1-6v3.08L16.08 17H21V7H7v10h6M3 15H1V3a2 2 0 012-2h16v2H3v12m6-6h10v2H9V9m0 4h8v2H9v-2z"/></svg>
      </a>
    
  </div>

    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../../assets/javascripts/vendor.fd16492e.min.js"></script>
      <script src="../../assets/javascripts/bundle.7836ba4d.min.js"></script><script id="__lang" type="application/json">{"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing"}</script>
      
      <script>
        app = initialize({
          base: "../..",
          features: [],
          search: Object.assign({
            worker: "../../assets/javascripts/worker/search.4ac00218.min.js"
          }, typeof search !== "undefined" && search)
        })
      </script>
      
    
  </body>
</html>